Bug 1008591 - Add documentation on packaging JDG library jars (Tomcat)
Add documentation on packaging JDG library jars (Tomcat)
Status: CLOSED NOTABUG
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
high Severity unspecified
: GA
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks: 1035082
  Show dependency treegraph
 
Reported: 2013-09-16 12:18 EDT by dereed
Modified: 2013-12-02 07:50 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1035082 (view as bug list)
Environment:
Last Closed: 2013-12-02 07:50:06 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dereed 2013-09-16 12:18:57 EDT
Document URL: 
JDG Developer's Guide and/or Getting Started Guide

Section Number and Name: 
N/A

Describe the issue: 
The documentation does not include details on packaging the jars for JDG library mode or the client side of client/server.

The quickstarts use maven to do it behind the user's back, which does not necesssarily work in an environment with more complicated classloading such as in JBoss EAP.

Suggestions for improvement: 
The documentation should include explicit information on packaging JDG library mode or the client side of client/server: what jars must be packaged, details on using isolated classloading, etc.

Specific examples for popular containers such as JBoss EAP 6 would be useful.

Additional information:
Comment 6 Misha H. Ali 2013-10-03 02:42:44 EDT
For the following point:

* A list of dependencies we need to package. 
  - If someone can point me to such a list, I can include it as a table with a quick blurb about what feature it offers. 

We have a txt file in the library distro that lists all the modules and their dependencies. the dependency jars will likely change beta -> GA and further for each subsequent release so it seems sensible to point users to this list in the distro rather than to document the list in the docs (in an appendix).
Comment 14 Misha H. Ali 2013-12-02 07:50:06 EST
I've emailed Divya about this, so he can reopen this bug if he has objections.

Dereed, I'm tracking the EAP packaging in another bug for a future release (you are CC'd in that bug IIRC).

Closing this as NOTABUG for 6.2

Note You need to log in before you can comment on or make changes to this bug.